Get NFT trades by wallet address
Activity
NFT Trades
Get NFT trades for a specific wallet address.
GET
Get NFT trades by wallet address
Documentation Index
Fetch the complete documentation index at: https://docs.moralis.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
The owner wallet address
Example:
"0xcB1C1FdE09f811B294172696404e88E658659905"
Query Parameters
The chain to query
Available options:
eth, 0x1, sepolia, 0xaa36a7, polygon, 0x89, bsc, 0x38, bsc testnet, 0x61, avalanche, 0xa86a, fantom, 0xfa, cronos, 0x19, arbitrum, 0xa4b1, chiliz, 0x15b38, chiliz testnet, 0x15b32, gnosis, 0x64, gnosis testnet, 0x27d8, base, 0x2105, base sepolia, 0x14a34, optimism, 0xa, polygon amoy, 0x13882, linea, 0xe708, moonbeam, 0x504, moonriver, 0x505, moonbase, 0x507, linea sepolia, 0xe705, flow, 0x2eb, flow-testnet, 0x221, ronin, 0x7e4, ronin-testnet, 0x31769, lisk, 0x46f, lisk-sepolia, 0x106a, pulse, 0x171, sei-testnet, 0x530, sei, 0x531, monad, 0x8f Example:
"eth"
The minimum block number from which to get the transfers
- Provide the param 'from_block' or 'from_date'
- If 'from_date' and 'from_block' are provided, 'from_block' will be used.
Required range:
x >= 0The block number to get the trades from
The start date from which to get the transfers (format in seconds or datestring accepted by momentjs)
- Provide the param 'from_block' or 'from_date'
- If 'from_date' and 'from_block' are provided, 'from_block' will be used.
The end date from which to get the transfers (format in seconds or datestring accepted by momentjs)
- Provide the param 'to_block' or 'to_date'
- If 'to_date' and 'to_block' are provided, 'to_block' will be used.
The cursor returned in the previous response (used for getting the next page).
The desired page size of the result.
Required range:
x >= 0Include the NFT Metadata of the NFT Token

